# PCLinuxOS Copyright by Bill Reynolds (Texstar)

%define pulseversion 3.0

Name: task-pulseaudio
Version: 2012.2.0
Release: %mkrel 5
Summary: Metapackage for Pulse Audio
Summary(de): Metapaket für Pulse Audio
Group: System/X11
License: GPL
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Conflicts: task-pulseaudio-remove
Requires: %{_lib}pulseaudio0 >= %pulseversion
Requires: %{_lib}pulseglib20 >= %pulseversion
Requires: pulseaudio >= %pulseversion
Requires: pulseaudio-client-config >= %pulseversion
Requires: pulseaudio-esound-compat >= %pulseversion
Requires: pulseaudio-module-x11 >= %pulseversion
Requires: pulseaudio-module-zeroconf >= %pulseversion
Requires: pulseaudio-utils >= %pulseversion
Requires: pulseaudio-module-equalizer >= %pulseversion
Requires: alsa-plugins-pulse-config 
Requires: %{_lib}alsa-plugins-pulseaudio
Requires: pulseaudio-module-jack
Requires: pulseaudio-module-bluetooth
Requires: pulseaudio-module-lirc

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running Pulse Audio Sound System.

If pulseaudio installed, so enable it from the PCLinuxOS Control Center.
#german
%description -l de
Dieses Paket installiert den PulseAudio Server Client mit allen benötigten 
Paketen. Dadurch wird gewährleistet, das PulseAudio einwandfrei funktioniert.
Ist aber keine Garantie.

Sie sollten PulseAudio Server mittels PCLinuxOS Kontrollzentrum kurz PCC aktivieren.


%posttrans
echo "Pulse Audio has been installed. Please enable it from the PCLinuxOS Control Center.

Pulse Audio wurde installiert. Bitte über das PCLinuxOS Kontrollzentrum aktivieren."

if [ ! -d /root/.pulse ] ; then mkdir -p /root/.pulse; fi

SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= mkdir -p /home/$idx/.pulse; done


%files


%changelog
* Thu Apr 24 2014 bb <bb> 2012.12.0-5pclos2014
- add more packages

* Sat Apr 12 2014 gseaman <galen.seaman at comcast.net> 2012.12.0-4gseaman2014
- add pulseaudio-module-jack dependency

* Tue Dec 18 2012 daniel <meisssw01 at gmail.com> 2012.12.0-3leiche2012
- update pulseaudio

* Sun May 20 2012 leiche <meisssw01 at gmail.com> 2012.2.0-2pclos2012
- add pulse version 

* Tue May 15 2012 leiche <meisssw01 at gmail.com> 2012.2.0-1pclos2012
- update for pulseaudio 2.0
- remove lib(64)pulsezeroconf0, not longer available
- add pulseaudio-module-equalizer
- add german description
- add macros %{_lib}, should (?) work now for both arch

* Tue Sep 27 2011 Texstar <texstar at gmail.com> 2011-2pclos2011
- create .pulse folders for non kde desktops

* Thu Sep 01 2011 Texstar <texstar at gmail.com> 2011-1pclos2011
- 64-bit

* Mon Nov 29 2010 Texstar <texstar at gmail.com> 2010-1pclos2010
- create package

